<template>
  <div class="goods-edit">
    <el-dialog :title="permissionData.permissionTitle" :visible.sync="permissionData.dialogPermission">
      <permission-tree 
        :showCheckbox="showCheckbox"
        :purviewList="purviewList">
      </permission-tree>
      <div slot="footer" class="dialog-footer">
        <el-button @click="permissionData.dialogPermission = false">取 消</el-button>
        <el-button type="primary" @click="permissionData.dialogPermission = false">确 定</el-button>
      </div>
    </el-dialog>
  </div>
</template>

<script>
  import PermissionTree from './tree/PermissionTree'
  export default {
    name: 'SetPermission',
    props: {
      permissionData: {
        type: Object
      }
    },
    components: {
      PermissionTree
    },
    data() {
      return {
        purviewList: [
          {
            id: 1,
            name: '咖啡厅',
            children: [
              {
                id: 11,
                name: '管理',
                children: [
                  {
                    id:111,
                    name:'添加',
                    children:[
                      
                    ]
                  },
                  {
                    id:112,
                    name:'添加',
                    children:[

                    ]
                  }
              ]},
              {
                id: 12,
                name: '管理1',
                children: [
              ]}
            ]
          },
          {
            id: 2,
            name: '系统',
            children: [{
              id: 13,
              name: '管理',
              children: []
            }]
          }
        ],
        showCheckbox:true,
        dialogPermission: false,
        permissionTitle: null,
        loading: false
      }
    },
    created() {
    },
    methods: {
      goodsClassifyRemote() {
      },
      handleRemove(file, fileList) {
        console.log(file, fileList);
      },
      handlePictureCardPreview(file) {
        this.dialogImageUrl = file.url;
        this.dialogVisible = true;
      },
      cancel() {
        this.addData.isAdd = false;
      },
    }
  }
</script>

<style lang="less" scoped>
  /deep/.el-dialog {
    .el-dialog__header {
      text-align: left;
      background-color: #f2f2f2;
      ;
    }
    .dialog-footer {
      text-align: center;
    }
  }
  /deep/.el-form {
    .el-form-item {
      display: flex;
      .el-form-item__label {
        width: 150px;
        flex-shrink: 0;
      }
      .el-form-item__content {
        margin-left: 0 !important;
        .del-button {
          position: relative;
          top: -50px;
          left: 20px;
        }
      }
    }
  }
</style>
